<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$varEmp  = ($varForm["ecod"]<>"")?$varForm["ecod"]:"NULL";
	$varVen  = ($varForm["vcod"]<>"")?$varForm["vcod"]:"NULL";
	$varPro  = ($varForm["pcod"]<>"")?$varForm["pcod"]:"NULL";
	$varAni  = ($varForm["anio"]<>"")?"'".$varForm["anio"]."'":"NULL";
	$varTip  = ($varForm["tip"]<>"")?"'".$varForm["tip"]."'":"NULL";
	
	$sql = "call spQuery_Report_AnalComp_Ruta($varEmp, $varVen, $varPro, $varAni, $varTip);";
		
	$varCab = array(array("cab"=>"VENTA POR MESES", "det"=>array("ENE","FEB","MAR", "ABR", "MAY", "JUN", "JUL","AGO","SET", "OCT", "NOV", "DIC"))
					);
	$varNiv = array(0 =>array("COD"=>"CRUT","DES"=>"RUTA"),
					1 =>array("COD"=>"CEMP","DES"=>"EMPRESA"));
			
	$_SESSION["_varNiv"] = $varNiv;
	$_SESSION["_varFor"] = NULL;
	$_SESSION["_varPag"] = $varForm["titu"];
	$_SESSION["_varCab"] = $varCab;
	$_SESSION["_varSql"] = $sql;
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export_grid_combinado.php");
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAnalCompRuta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("ecod").focus();
				return (false); 
				}
		else if (xajax.$("anio").value=="Ninguno" || xajax.$("anio").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");  
				xajax.$("anio").focus();
				return (false); 
				}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}
		}
		
	function xExportarJS() {
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
				xajax.$("ecod").focus();
				return (false); 
				}
		else if (xajax.$("anio").value=="Ninguno" || xajax.$("anio").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");  
				xajax.$("anio").focus();
				return (false); 
				}
		else {
				xajax_xExportar(xajax.getFormValues('form'));	
				}
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("ecod").value;
		var varVen = xajax.$("vcod").value;
		var varPro = xajax.$("pcod").value;
		var varAno = xajax.$("anio").value;
		var varTip = xajax.$("tip").value;
		if (xajax.$("ecod") && xajax.$("ecod").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  

				xajax.$("ecod").focus();
				return (false); 
				}
		else if (xajax.$("anio").value=="Ninguno" || xajax.$("anio").value=="") {
				alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");  
				xajax.$("anio").focus();
				return (false); 
				}
		else {
				var Ruta = 'print/print_analcomp_ruta.php?ecod='+varEmp+'&vcod='+varVen+'&pcod='+varPro+'&anio='+varAno+'&tip='+varTip;
				testwindow= window.open (Ruta, "print_analcomp_ruta", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=600");
				}
		}
	
</script>
<?php
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>